QXmlParseException(3qt)

NAME
QXmlParseException - Used to report errors with the QXmlErrorHandler interface

SYNOPSIS
All the functions in this class are reentrant when Qt is built with thread support.</p>

#include <qxml.h>

  Public Members
QXmlParseException ( const QString & name = "", int c = -1, int l = -1, const QString & p = "", const QString & s = "" )
int columnNumber () const
int lineNumber () const
QString publicId () const
QString systemId () const
QString message () const

DESCRIPTION
The QXmlParseException class is used to report errors with the QXmlErrorHandler interface.

The XML subsystem constructs an instance of this class when it detects an error. You can retrieve the place where the error occurred using systemId(), publicId(), lineNumber() and columnNumber(), along with the error message().

See also QXmlErrorHandler, QXmlReader, and XML.

MEMBER FUNCTION DOCUMENTATION

QXmlParseException::QXmlParseException ( const QString & name = ", int c = -1, int l = -1, const QString & p = ", const QString & s = " )
Constructs a parse exception with the error string name for column c and line l for the public identifier p and the system identifier s.

int QXmlParseException::columnNumber () const
Returns the column number where the error occurred.

int QXmlParseException::lineNumber () const
Returns the line number where the error occurred.

QString QXmlParseException::message () const
Returns the error message.

QString QXmlParseException::publicId () const
Returns the public identifier where the error occurred.

QString QXmlParseException::systemId () const
Returns the system identifier where the error occurred.

SEE ALSO
http://doc.trolltech.com/qxmlparseexception.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qxmlparseexception.3) and the Qt version (3.3.4).